Skip to main content
GET
/
apps
/
{app_id}
/
files
/
uploads
/
{file_upload_id}
Get File Upload
curl --request GET \
  --url https://api.example.com/apps/{app_id}/files/uploads/{file_upload_id}
import requests

url = "https://api.example.com/apps/{app_id}/files/uploads/{file_upload_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/apps/{app_id}/files/uploads/{file_upload_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "future_file_id": "<string>",
  "file": {
    "id": "<string>",
    "file_id": "<string>",
    "file_filename": "document.pdf",
    "file_size": 1024,
    "file_mimetype": "application/pdf",
    "file_url": "<string>",
    "created_at": "2023-12-25",
    "file_format": "DOCUMENT",
    "file_status": "PROCESSED",
    "file_status_message": "<string>",
    "document": {
      "filename": "<string>",
      "filetype": "<string>",
      "contents": [
        {
          "id": 123,
          "content": "<string>",
          "page": 123,
          "content_as_html": "<string>",
          "parent": 123
        }
      ],
      "images": [
        {
          "id": "<string>",
          "file_id": "<string>",
          "image_url": "<string>",
          "type": "<string>",
          "page": 123,
          "height": 123,
          "width": 123
        }
      ],
      "extracted_pages": "<string>",
      "time": 123
    },
    "document_extract_contents": true,
    "document_extract_images": true,
    "document_extract_pages": true,
    "document_pages": [
      1,
      2,
      3
    ],
    "document_progress": 123,
    "storage": "PERSISTENT"
  },
  "upload_url": "<string>",
  "expires_at": "2023-12-25",
  "document_pages": [
    1,
    2,
    3
  ],
  "storage": "PERSISTENT",
  "visibility": "PRIVATE",
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25",
  "region": "european-union",
  "bucket": "cortex-eu",
  "metadata": {},
  "allowed_types": [
    "*/*"
  ],
  "document_extract_contents": true,
  "document_extract_images": true
}

Path Parameters

app_id
string
required

The ID of the app

file_upload_id
string
required

The ID of the file upload

Response

200 - application/json

Uploaded file information

id
string
required

Unique identifier for the uploaded file

future_file_id
string
required

Future file ID for the uploaded file

file
object | null
required

The file associated with the upload, if available

upload_url
string
required

URL to upload the file

expires_at
string<date> | null
required

Timestamp when the uploaded file will expire

document_pages
number[] | null
required

Array of page numbers to extract from the document

Maximum array length: 1024
Example:
[1, 2, 3]
storage
enum<string>
default:PERSISTENT
required

Whether the file is stored permanently or temporarily, indicating the storage type

Available options:
PERSISTENT,
TEMPORARY
Example:

"PERSISTENT"

visibility
enum<string>
required

Whether the file is private or public, private files URLs are signed with a token and can be accessed temporarily

Available options:
PUBLIC,
PRIVATE
Example:

"PRIVATE"

created_at
string<date> | null
required

Timestamp when the uploaded file was created

updated_at
string<date> | null
required

Timestamp when the uploaded file was last updated

region
string

Region on R2/Cloudflare

Example:

"european-union"

bucket
string

Storage bucket for the file

Example:

"cortex-eu"

metadata
object | null

Custom metadata for the uploaded file as key-value pairs (Max 2KB)

allowed_types
string[] | null

The allowed mime types for the file field (e.g. image/*, application/pdf)

Maximum array length: 255
Maximum string length: 255
document_extract_contents
boolean

Whether to extract contents from the document. If true, the file will be processed and contents extracted.

document_extract_images
boolean

Whether to extract images from the document. If true, images will be extracted.